working=/users/rg/buszczynska/Projects/polonez/ercc/taq.newSet

cd $working



# ----------------------------------------------------------
# Concentration vs CT (oligo dT)
# ----------------------------------------------------------

for i in 1
do
    echo $i
    file=`echo ercc.taqman.output.oligodT.rep$i.tsv`
    png=`echo ercc.taqman.output.oligodT.rep$i.newSet.png`

    echo "
    library(ggplot2)
    library(scales)
    cbPalette <- c('#ff0000', '#008000', '#1e90ff','#ffea00')
    plot <- read.table('$file', header=F, as.is=T, sep=\"\t\")
    colnames(plot)<-c(\"typ\",\"ercc\",\"erccInt\",\"group\", \"conc\",\"count\", \"repl\")
    plot\$typ=factor(plot\$typ, levels=c(\"MARS\",\"ER\",\"CYTO\", \"WHOLE\"))
    png(\"$png\", bg = \"white\", units=\"in\", width=12, height=6, res=300)
    ggplot(plot, aes(x=conc, y=count, color=group)) + geom_point(pch=1, size=3) + scale_color_manual(values=cbPalette)+ xlab(\"log(pM)\") + scale_x_log10()  + ylab (\"Ct\")+ theme_bw()+theme(axis.text.x = element_text(size = 16, colour = \"black\"), axis.text.y = element_text(size = 16,  colour = \"black\"), legend.text = element_text(size=14), plot.title = element_text(size = 22), legend.title =element_text(size=0, color=\"white\"), axis.title.x = element_text(size = 18), axis.title.y = element_text(size = 18), legend.text.align=0.5, strip.text.x=element_text(size=18), strip.text.y=element_text(size=18))+ ggtitle('')+theme(legend.position=\"top\")+facet_wrap(~typ, ncol=4)+ggtitle('Oligo(dT): Replicate $i') + geom_smooth(aes(group = 1), method = \"lm\", se = FALSE, color=\"grey\")+ylim(14,40)
    dev.off()
    " | R --slave

    cp $png /users/rg/buszczynska/public_html/gencode/tmp/B/COT/ercc
done

