working=/users/rg/buszczynska/Projects/polonez/ercc/taqman

cd $working


# ----------------------------------------------------------
# Concentration vs CT (random primers)
# ----------------------------------------------------------

echo "
library(ggplot2)
library(scales)
cbPalette <- c('#ff0000', '#008000', '#1e90ff','#ffea00')
plot <- read.table('ercc.taqman.output.rndm.tsv', header=F, as.is=T, sep=\"\t\")
colnames(plot)<-c(\"typ\",\"ercc\",\"erccInt\",\"group\", \"conc\",\"count\")
plot\$typ=factor(plot\$typ, levels=c(\"MARS\",\"ER\",\"CYTO\"))
png(\"ercc.taqman.output.rndm.png\", bg = \"white\", units=\"in\", width=10, height=6, res=300)
ggplot(plot, aes(x=conc, y=count, color=group)) + geom_point(pch=1, size=3) + scale_color_manual(values=cbPalette)+ xlab(\"log(pM)\") + scale_x_log10()  + ylab (\"Ct\")+ theme_bw()+theme(axis.text.x = element_text(size = 16, colour = \"black\"), axis.text.y = element_text(size = 16,  colour = \"black\"), legend.text = element_text(size=14), plot.title = element_text(size = 22), legend.title =element_text(size=0, color=\"white\"), axis.title.x = element_text(size = 18), axis.title.y = element_text(size = 18), legend.text.align=0.5, strip.text.x=element_text(size=18), strip.text.y=element_text(size=18))+ ggtitle('')+theme(legend.position=\"top\")+facet_wrap(~typ)
dev.off()
" | R --slave

cp ercc.taqman.output.rndm.png /users/rg/buszczynska/public_html/gencode/tmp/B/COT/ercc


# ----------------------------------------------------------
# Concentration vs CT (oligo dT)
# ----------------------------------------------------------

echo "
library(ggplot2)
library(scales)
cbPalette <- c('#ff0000', '#008000', '#1e90ff','#ffea00')
plot <- read.table('ercc.taqman.output.oligodT.tsv', header=F, as.is=T, sep=\"\t\")
colnames(plot)<-c(\"typ\",\"ercc\",\"erccInt\",\"group\", \"conc\",\"count\")
plot\$typ=factor(plot\$typ, levels=c(\"MARS\",\"ER\",\"CYTO\"))
png(\"ercc.taqman.output.oligodT.png\", bg = \"white\", units=\"in\", width=10, height=6, res=300)
ggplot(plot, aes(x=conc, y=count, color=group)) + geom_point(pch=1, size=3) + scale_color_manual(values=cbPalette)+ xlab(\"log(pM)\") + scale_x_log10()  + ylab (\"Ct\")+ theme_bw()+theme(axis.text.x = element_text(size = 16, colour = \"black\"), axis.text.y = element_text(size = 16,  colour = \"black\"), legend.text = element_text(size=14), plot.title = element_text(size = 22), legend.title =element_text(size=0, color=\"white\"), axis.title.x = element_text(size = 18), axis.title.y = element_text(size = 18), legend.text.align=0.5, strip.text.x=element_text(size=18), strip.text.y=element_text(size=18))+ ggtitle('')+theme(legend.position=\"top\")+facet_wrap(~typ)
dev.off()
" | R --slave

cp ercc.taqman.output.oligodT.png /users/rg/buszczynska/public_html/gencode/tmp/B/COT/ercc

